restinio::http_field_parsers::host_details::sub_delims_predicate_t Struct Reference

A preducate for symbol_producer_template that checks that a symbol is sub-delims symbol from RCF3986. More...

`#include <host.hpp>`

## Public Member Functions

RESTINIO_NODISCARD bool | operator() (const char actual) const noexcept

## Detailed Description

A preducate for symbol_producer_template that checks that a symbol is sub-delims symbol from RCF3986.

See: https://tools.ietf.org/html/rfc3986#appendix-A

Since
  v.0.6.9

Definition at line 88 of file host.hpp.

## Member Function Documentation

## operator()()

RESTINIO_NODISCARD bool restinio::http_field_parsers::host_details::sub_delims_predicate_t::operator() | ( | const char | actual | ) | const

inlinenoexcept

Definition at line 92 of file host.hpp.

The documentation for this struct was generated from the following file:

- restinio/helpers/http_field_parsers/host.hpp